Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Interface LineSegment

All Superinterfaces:
  CurveSegment, GenericCurve, LineString

    @UML(identifier="GM_LineSegment",
         specification=ISO_19107)
    public interface LineSegment

extends LineString

Two distinct direct positions (the start point and end point) joined by a straight line. Thus its interpolation attribute shall be `LINEAR`. The default parameterization is:

>      L = endParam - startParam
>      c(s) = ControlPoint[1]+((s-startParam)/L)*(ControlPoint[2]-ControlPoint[1])

Any other point in the control point array must fall on this line. The control points of a `LineSegment` shall all lie on the straight line between its start point and end point. Between these two points, other positions may be interpolated linearly. The linear interpolation, given using a constructive parameter t, 0 ? t ? 1.0, where c(o) = c.startPoint and c(1)=c.`endPoint`, is:

> c(t) = c(0)(1-t) + c(1)t

Since:
  GeoAPI 1.0
Version:
  ISO 19107
See Also:
  `GeometryFactory.createLineSegment(org.opengis.geometry.coordinate.Position, org.opengis.geometry.coordinate.Position)`

Method Summary

Methods inherited from interface LineString
`asLineSegments, getControlPoints`

Methods inherited from interface CurveSegment
`getBoundary, getCurve, getInterpolation, getNumDerivativesAtEnd, getNumDerivativesAtStart, getNumDerivativesInterior, getSamplePoints, reverse`

Methods inherited from interface GenericCurve
`asLineString, forConstructiveParam, forParam, getEndConstructiveParam, getEndParam, getEndPoint, getParamForPoint, getStartConstructiveParam, getStartParam, getStartPoint, getTangent, length, length`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.